Answered By: Laura Horgan
Last Updated: Mar 09, 2017     Views: 14

In most cases vendors are supporting only recent Kindle devices like the Kindle Fire and Kindle Fire HD.  Versions of the Kindle prior to these are generally not supported. If you do not know what version of Kindle you have you will need to find your serial number and refer to the link below. 

Recent Kindle models are supported with Overdrive, EBL, Axis360 and EBSCO.   If you want more information please contact Laura Horgan.